<?php

namespace Server\payment\app;

use Server\payment\PaymentService;

class ReturnController extends PaymentService {

    public function alipay(){
        global $_GPC;
        $result =  $this->Notify('alipay', $_GPC, 'return');
        if (is_error($result)){
            return $this->error($result['message']);
        }
        if($result){
            return $this->success('支付成功');
        }else{
            return $this->error('支付失败，请重试');
        }
    }

}
